# mptr_ppm.cpp File Reference

ppm Target Module More...

`#include "mptr_ppm.h"`
`#include <synfig/importer.h>`
`#include <synfig/time.h>`
`#include <synfig/surface.h>`
`#include <synfig/general.h>`
`#include <synfig/smartfile.h>`
`#include <cstdio>`
`#include <algorithm>`
`#include <functional>`

## Functions

| SYNFIG_IMPORTER_INIT (ppm_mptr)
| SYNFIG_IMPORTER_SET_NAME (ppm_mptr,"ppm")
| SYNFIG_IMPORTER_SET_EXT (ppm_mptr,"ppm")
| SYNFIG_IMPORTER_SET_VERSION (ppm_mptr,"0.1")
| SYNFIG_IMPORTER_SET_CVS_ID (ppm_mptr,"$Id$")

## Detailed Description

ppm Target Module

$Id$

=== N O T E S ===========================================================

=========================================================================

## Function Documentation

SYNFIG_IMPORTER_INIT | ( | ppm_mptr |  | ) |

SYNFIG_IMPORTER_SET_NAME | ( | ppm_mptr | ,
|  | "ppm" |  |
| ) |  |  |

SYNFIG_IMPORTER_SET_EXT | ( | ppm_mptr | ,
|  | "ppm" |  |
| ) |  |  |

SYNFIG_IMPORTER_SET_VERSION | ( | ppm_mptr | ,
|  | "0.1" |  |
| ) |  |  |

SYNFIG_IMPORTER_SET_CVS_ID | ( | ppm_mptr | ,
|  | "$Id$" |  |
| ) |  |  |